Bug 126064 - JJ: Account settings dialogs for SMTP/POP3/IMAP should be more similar
Summary: JJ: Account settings dialogs for SMTP/POP3/IMAP should be more similar
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: GUI (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 92617 116625 158658 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-04-22 10:47 UTC by Hans Meier
Modified: 2008-06-14 11:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Meier 2006-04-22 10:47:09 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    SuSE RPMs

The two dialog windows in "Account", namely "Sending" and "Receiving", should follow a similar layout. Up to now, it is a bit confusing.

For example, the order of fields in the receiving windows is as follows:
Name, login, password, host, port
In sending, it is:
Name, host, port, precommand

Maybe receiving should be changed to:
Name, host, port, login, password

Moreover, the security tabs in the receiving and sending windows are different although the contents is exactly the same. In receiving, "Check what the server supports" is at the top, while in sending it is at the bottom. IMHO this button should be moved to the bottom in both dialog windows.
Comment 1 Thomas McGuire 2007-03-28 16:42:57 UTC
*** Bug 116625 has been marked as a duplicate of this bug. ***
Comment 2 Thomas McGuire 2007-07-15 14:40:17 UTC
*** Bug 92617 has been marked as a duplicate of this bug. ***
Comment 3 Thomas McGuire 2008-03-02 14:16:05 UTC
*** Bug 158658 has been marked as a duplicate of this bug. ***
Comment 4 Thomas McGuire 2008-03-02 14:19:54 UTC
This would be a good junior job.
Currently, the account settings dialogs are hardcoded, it would be nice to extract them to a .ui file. Then, it is much easier to rearrange the UI widgets so that the dialogs look more similar to each other.

Note that in KDE4, the situation is even worse, as the SMTP dialog now comes from a separate library and is very different from the POP3/IMAP ones.

Fixing this should be doable for beginners, therefore I marked it as a JJ.
Comment 5 Thomas McGuire 2008-03-13 18:56:54 UTC
Related: Bug 159075 (IMAP account dialog too big)
Comment 6 Torgny Nyblom 2008-06-14 11:33:19 UTC
SVN commit 820430 by tnyblom:

BUG: 126064

Moved the "Check what server supports" button to below the options.
Reordered the "Account Name", "Host", ... fields.

Now the pop/imap dialogs look more like the SMTP one and have a more 
natural order (atleast I think so)


 M  +76 -75    imapsettings.ui  
 M  +71 -70    popsettings.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=820430